RecordingContentItem

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ocap.hn.content
Class RecordingContentItem

    java.lang.Object
      org.ocap.hn.content.RecordingContentItem

All Implemented Interfaces:
  ContentEntry, ContentItem

    public abstract class RecordingContentItem

extends Object
implements ContentItem

This class represents a content entry that is also a RecordingListEntry.

Field Summary

Fields inherited from interface org.ocap.hn.content.ContentItem
`AUDIO_ITEM, AUDIO_ITEM_BOOK, AUDIO_ITEM_BROADCAST, AUDIO_ITEM_TRACK, IMAGE_ITEM, IMAGE_ITEM_PHOTO, VIDEO_ITEM, VIDEO_ITEM_BROADCAST, VIDEO_ITEM_MOVIE, VIDEO_ITEM_MUSIC_CLIP`

Constructor Summary
`RecordingContentItem()`

Method Summary
`void` | `addAppData(int dataID, byte[] data)`
`int` | `compareTo(Object o)`
`boolean` | `delete()` Deletes this ContentEntry.
`byte[]` | `getAppData(int dataID)`
`int[]` | `getAppDataIDs()`
`AppID` | `getAppID()`
`long` | `getContentSize()` Gets the size of the content associated with this ContentEntry..
`Date` | `getCreationDate()` Gets the creation date of the content associated with this ContentEntry.
`ExtendedFileAccessPermissions` | `getExtendedFileAccessPermissions()` Gets the file permissions of this ContentEntry.
`Enumeration` | `getIdentifierNames()`
`MetadataNode` | `getMetadata()` Gets the metadata for this ContentEntry.
`Object` | `getMetadata(String which)`
`String` | `getName()` Returns the name of this ContentEntry.
`int` | `getNumberOfIdentifiers()`
`ContentContainer` | `getParent()` Returns the `ContentContainer` this ContentEntry belongs to.
`boolean` | `isLocal()`
`void` | `removeAppData(int dataID)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.ocap.hn.content.ContentItem
`containsResource, getContentClass, getMetadataRoot, getParentNode, getResource, getResourceCount, getResourceIndex, getResources, getService, hasAudio, hasStillImage, hasVideo`

Methods inherited from interface org.ocap.hn.content.ContentEntry
`getServer`

Constructor Detail

### RecordingContentItem

    public RecordingContentItem()

Method Detail

### addAppData

    public void addAppData(int dataID,
                           byte[] data)
                    throws NoMoreDataEntriesException

  Throws:
    `NoMoreDataEntriesException`

### getAppID

    public AppID getAppID()

### getAppDataIDs

    public int[] getAppDataIDs()

### getAppData

    public byte[] getAppData(int dataID)

### removeAppData

    public void removeAppData(int dataID)

### getMetadata

    public Object getMetadata(String which)

### getIdentifierNames

    public Enumeration getIdentifierNames()

### getMetadata

    public MetadataNode getMetadata()

  Description copied from interface: `ContentEntry`
  Gets the metadata for this ContentEntry.

  Specified by:
    `getMetadata` in interface `ContentEntry`
  Returns:
    Root MetadataNode.

### getNumberOfIdentifiers

    public int getNumberOfIdentifiers()

### compareTo

    public int compareTo(Object o)

### getName

    public String getName()

  Description copied from interface: `ContentEntry`
  Returns the name of this ContentEntry.

  Specified by:
    `getName` in interface `ContentEntry`
  Returns:
    The name of content entry.

### delete

    public boolean delete()
                   throws IOException,
                          SecurityException

  Description copied from interface: `ContentEntry`
  Deletes this ContentEntry. This is a local delete only. If the #isLocal method returns true this method SHALL throw an exception.

  Specified by:
    `delete` in interface `ContentEntry`
  Specified by:
    `delete` in interface `ContentItem`
  Returns:
    True if the ContentEntry was deleted, otherwise returns false.
  Throws:
    `IOException` - if the entry is not local.
    `SecurityException` - if the calling application does not have write ExtendedFileAccessPermission for this entry.

### isLocal

    public boolean isLocal()

### getParent

    public ContentContainer getParent()

  Description copied from interface: `ContentEntry`
  Returns the `ContentContainer` this ContentEntry belongs to.

  Specified by:
    `getParent` in interface `ContentEntry`
  Returns:
    The parent ContentContainer.

### getContentSize

    public long getContentSize()

  Description copied from interface: `ContentEntry`
  Gets the size of the content associated with this ContentEntry..

  Specified by:
    `getContentSize` in interface `ContentEntry`
  Returns:
    The content size in bytes or -1 if unknown.

### getCreationDate

    public Date getCreationDate()

  Description copied from interface: `ContentEntry`
  Gets the creation date of the content associated with this ContentEntry.

  Specified by:
    `getCreationDate` in interface `ContentEntry`
  Returns:
    The Date the content was created or null if unknown.

### getExtendedFileAccessPermissions

    public ExtendedFileAccessPermissions getExtendedFileAccessPermissions()

  Description copied from interface: `ContentEntry`
  Gets the file permissions of this ContentEntry.

  Specified by:
    `getExtendedFileAccessPermissions` in interface `ContentEntry`
  Returns:
    The extended file access permissions of this ContentEntry

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD